<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<!-- forms\user_framework\acl_folder_security.jsp -->
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>

<html>
<head>
	<title></title>
	
	<style type="text/css">

<change:wsletExpander>
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=styles/default.css -->
	<!-- PARAM NAME=styles/visual_table.css -->
	<!-- /WSLET -->
</change:wsletExpander>

	</style>
		
	<script type="text/javascript">
	
<change:wsletExpander>
	<!-- WSLET CODE=PTInclude -->	
	<!-- PARAM NAME=subhelp.js -->
	<!-- /WSLET -->
</change:wsletExpander>

function edit(aclId)
{
	var isForCRs = ${param.isForCRs};
	var objectType = <change:javaScriptEscape value="${param.objectType}"/>; 
	var datalistbox;
	
	if (aclId == "Shared")
	{
		datalistbox = getSharedDatalistbox(isForCRs, objectType);
	}
	else if (aclId == "System")
	{
		datalistbox = getSystemDatalistbox(isForCRs, objectType);
	}
	
	document.manage_security_form.datalistbox.value = datalistbox;
	document.manage_security_form.submit();
}

function getSharedDatalistbox(isForCRs, objectType)
{
	switch(objectType)
	{
		case 'queries':
			return isForCRs ? "CRQUERYSHARED" : "TASKQUERYSHARED";
		case 'formats':
			return isForCRs ? "CRQUERYREPORTSHARED" : "TASKQUERYREPORTSHARED";
		case 'reports':
			return isForCRs ? "CRREPORTSHARED" : "TASKREPORTSHARED";
		default:
			alert('getSharedDatalistbox invalid objectType: ' + objectType);
	}
}

function getSystemDatalistbox(isForCRs, objectType)
{
	switch(objectType)
	{
		case 'queries':
			return isForCRs ? "CRQUERYPREDEFINED" : "TASKQUERYPREDEFINED";
		case 'formats':
			return isForCRs ? "CRQUERYREPORTPREDEFINED" : "TASKQUERYREPORTPREDEFINED";
		case 'reports':
			return isForCRs ? "CRREPORTPREDEFINED" : "TASKREPORTPREDEFINED";
		default:
			alert('getSharedDatalistbox invalid objectType: ' + objectType);
	}
}

	</script>
</head>
<body>

<table class="barHeading" width="100%">
	<tr>
		<th id="header">
			<change:resource key="manageFolderSecurityLabel"/>
		</th>
		<td align="right" width="33%">			
			<a href="javascript: openHelp('manage-folder-security');" title="<change:resource key='alt00043'/>">Help</a>
		</td>
	</tr>
</table>

<div style="text-align: center;">
	<table id="folder-security-table" class="visual-table" style="margin-left: auto; margin-right: auto;">
		<tr>
			<th>
				<change:resource key="folderSecurity"/>
			<th>&nbsp;</th>
		</tr>
		<tr>
			<td>
				<change:resource key="lbl00079"/>
			</td>
			<td>
				<a href="javascript: edit('Shared');">
					<change:resource key="lbl00614" />
				</a>
			</td>
		</tr>
		<tr class="odd-row">
			<td>
				<change:resource key="lbl01149" />
			</td>
			<td>
				<a href="javascript: edit('System');">
					<change:resource key="lbl00614" />
				</a>
			</td>
		</tr>
	</table>
</div>

<form name="manage_security_form" action="<change:urlCreator webResource='BASEURL'/>/manageFolderSecurity.do" class="hiddenForm" method="POST" target="_self">
	<input name="token" type="hidden" value="${user.token}">
	<input name="datalistbox" type="hidden">
	<input name="isForCRs" type="hidden" value="${param.isForCRs}">
	<input name="objectType" type="hidden" value="${param.objectType}">
	<input name="methodToCall" type="hidden" value="loadEditDialog">
</form>

</body>
</html>
